# DataExchange
TKIGES
IGESAppli

# IGESAppli_DrilledHole Class Reference

defines DrilledHole, Type <406> Form <6>
in package IGESAppli
Identifies an entity representing a drilled hole
through a printed circuit board.

`#include <IGESAppli_DrilledHole.hxx>`

Inheritance diagram for IGESAppli_DrilledHole:

[legend]

## Public Member Functions

Standard_EXPORT | IGESAppli_DrilledHole ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Standard_Real aSize, const Standard_Real anotherSize, const Standard_Integer aPlating, const Standard_Integer aLayer, const Standard_Integer anotherLayer)
| This method is used to set the fields of the class DrilledHole - nbPropVal : Number of property values = 5 - aSize : Drill diameter size - anotherSize : Finish diameter size - aPlating : Plating indication flag False = not plating True = is plating - aLayer : Lower numbered layer - anotherLayer : Higher numbered layer .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| is always 5
Standard_EXPORT Standard_Real | DrillDiaSize () const
| returns the drill diameter size
Standard_EXPORT Standard_Real | FinishDiaSize () const
| returns the finish diameter size
Standard_EXPORT Standard_Boolean | IsPlating () const
| Returns Plating Status : False = not plating / True = is plating .
Standard_EXPORT Standard_Integer | NbLowerLayer () const
| returns the lower numbered layer
Standard_EXPORT Standard_Integer | NbHigherLayer () const
| returns the higher numbered layer
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theNbPropertyValues
Standard_Real | theDrillDiaSize
Standard_Real | theFinishDiaSize
Standard_Integer | thePlatingFlag
Standard_Integer | theNbLowerLayer
Standard_Integer | theNbHigherLayer

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_DrilledHole::IGESAppli_DrilledHole | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real IGESAppli_DrilledHole::DrillDiaSize | ( |  | ) | const

Standard_EXPORT Standard_Real IGESAppli_DrilledHole::FinishDiaSize | ( |  | ) | const

Standard_EXPORT const IGESAppli_DrilledHole::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_DrilledHole::Init | ( | const Standard_Integer | nbPropVal,
|  | const Standard_Real | aSize,
|  | const Standard_Real | anotherSize,
|  | const Standard_Integer | aPlating,
|  | const Standard_Integer | aLayer,
|  | const Standard_Integer | anotherLayer
| ) |

Standard_EXPORT Standard_Boolean IGESAppli_DrilledHole::IsPlating | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_DrilledHole::NbHigherLayer | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_DrilledHole::NbLowerLayer | ( |  | ) | const

Standard_EXPORT Standard_Integer IGESAppli_DrilledHole::NbPropertyValues | ( |  | ) | const

## Field Documentation

Standard_Real IGESAppli_DrilledHole::theDrillDiaSize `[private]`

Standard_Real IGESAppli_DrilledHole::theFinishDiaSize `[private]`

Standard_Integer IGESAppli_DrilledHole::theNbHigherLayer `[private]`

Standard_Integer IGESAppli_DrilledHole::theNbLowerLayer `[private]`

Standard_Integer IGESAppli_DrilledHole::theNbPropertyValues `[private]`

Standard_Integer IGESAppli_DrilledHole::thePlatingFlag `[private]`

The documentation for this class was generated from the following file:

- IGESAppli_DrilledHole.hxx